Labelcamp API v2
​string​string​integer · min: 1​integer · min: 1 · max: 200
Audio file uploads and processing tasks
List import tasks
GET
https://api.idol.io/api/v2
/import-tasks
Retrieve a list of import tasks with optional filtering by product or distributor.
query Parameters
filter[product-id]Filter by product ID
filter[distributor-id]Filter by distributor ID
page[number]Page number for pagination
Default: 1
page[size]Number of items per page (max 200)
Default: 20
List import tasks › Responses
List of import tasks
​object[]
Array of resource objects (override with specific resource schema)
​object[]
Related resources included in the response
​object
​object
Create an import task
POST
https://api.idol.io/api/v2
/import-tasks
Create a new import task to retrieve and process audio/video files or artwork.
What happens when you create an ImportTask:
Creating an upload ImportTask launches a job that will:
- Retrieve the file stored on the url provided
- Check the md5 checksum if present
- Create a record associated to the track if provided
- Update the associated video if it exists
- Change the status of the import-task to completed
Create an import task › Responses
Import task created successfully
​object
​object[]
Related resources included in the response
​object